<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/

/*---------------------------------------------------+
| tree_navigation_panel
+----------------------------------------------------+
| Copyright  2006 DennisSystems Ltd
| http://www.dennissystems.net
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/

if (!defined("IN_FUSION") || !checkrights("I")) { header("Location: ../../index.php"); exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."tree_navigation_panel/locale/".$settings['locale'].".php")) {
    // Load the locale file matching the current site locale setting.
    include INFUSIONS."tree_navigation_panel/locale/".$settings['locale'].".php";
} else {
    // Load the infusion's default locale file.
    include INFUSIONS."tree_navigation_panel/locale/English.php";
}

// Infusion general information
$inf_title = "Tree Navigation Panel";
$inf_description = $locale['tnp101'];
$inf_version = "0.0.0.4";
$inf_developer = "cjsewell";
$inf_email = "corey@dennissystems.net";
$inf_weburl = "http://www.dennissystems.net";

$inf_folder = "tree_navigation_panel"; // The folder in which the infusion resides.


$inf_newtables = 1; // Number of new db tables to create or drop.
$inf_altertables = 0; // Number of db tables to alter (upgrade).
$inf_deldbrows = 0; // Number of db tables to delete data from.

// Delete any items not required here.
$inf_newtable[1] = DB_PREFIX."tree_navigation_panel (
  node_id smallint(5) unsigned NOT NULL auto_increment,
  node_name varchar(100) NOT NULL default '',
  node_url varchar(200) default NULL,
  node_visibility tinyint(3) unsigned NOT NULL default '0',
  node_position varchar(100) NOT NULL default '',
  node_parent tinyint(1) unsigned NOT NULL default '0',
  open_img varchar(30) NOT NULL default 'folder-expanded.gif',
  closed_img varchar(30) NOT NULL default 'folder.gif',
  node_open tinyint(1) unsigned NOT NULL default '0',
  PRIMARY KEY  (node_id)
)";

$inf_adminpanel[1] = array(
	"title" => "Tree Navigation",
	"image" => "image.gif",
	"panel" => "tree_navigation_admin.php",
	"rights" => "XXX"
);

$inf_droptable[1] = "tree_navigation_panel";
?>
