<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/

/*---------------------------------------------------+
| tree_navigation_panel
+----------------------------------------------------+
| Copyright  2006 DennisSystems Ltd
| http://www.dennissystems.net
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/

if (!defined("IN_FUSION")) { header("Location: ../../index.php"); exit; }

$class_path   = INFUSIONS . "tree_navigation_panel/HTML_TreeMenu-1.2.0";
require_once  "$class_path/TreeMenu.php";
$image_path   = "$class_path/images";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS . "tree_navigation_panel/locale/" . $settings['locale'] . ".php")) {
    // Load the locale file matching the current site locale setting.
    include INFUSIONS . "tree_navigation_panel/locale/" . $settings['locale'] . ".php";
} else {
    // Load the infusion's default locale file.
    include INFUSIONS . "tree_navigation_panel/locale/English.php";
} 

$result = dbquery("SELECT * FROM " . $db_prefix . "tree_navigation_panel"); 
if (dbrows($result) == 0) {
    echo "<tr><td align='center' class='tbl1'>" . $locale['tnp201'] . "<br>\n";	
    echo "<a href='".FUSION_SELF."?action=add_node'><input type='button' class='button' value='".$locale['tnp202']."'></a></td></tr>\n";
	echo "</table>\n";	
}else{ 
    echo "<script src='$class_path/TreeMenu.js' language='JavaScript' type='text/javascript'></script>";
	openside($locale['tnp102']);  
    $menu  = new HTML_TreeMenu();
    $node = 'node';
	$result = dbquery("SELECT * FROM " . $db_prefix . "tree_navigation_panel ORDER BY node_position ASC"); 

    while ($data = dbarray($result)){
      if (!checkgroup($data['node_visibility'])) continue;
      if ($data['open_img'] == 'blank.gif')	$data['open_img']= '';
      if ($data['closed_img'] == 'blank.gif')	$data['closed_img']= '';
	  if (!strstr($data['node_url'], "http://") || !strstr($data['node_url'], "https://")) $data['node_url'] = BASEDIR.$data['node_url'];
      if ( $data['node_parent'] == "0" ){
			${$node . $data['node_id']}   = new HTML_TreeNode(array('text' => $data['node_name'], 'link' => $data['node_url'], 'icon' => $data['open_img'], 'expandedIcon' => $data['closed_img'], 'expanded' => $data['node_open'] ));
			$menu->addItem(${$node . $data['node_id']});
	    }else{
			${$node . $data['node_id']}   = &${$node . $data['node_parent']}->addItem(new HTML_TreeNode(array('text' => $data['node_name'], 'link' => $data['node_url'], 'icon' => $data['open_img'], 'expandedIcon' => $data['closed_img'],  'expanded' => $data['node_open'] )));
		}

	}
    $treeMenu = &new HTML_TreeMenu_DHTML($menu, array('images' => $image_path , 'defaultClass' => 'treeMenuDefault', 'usePersistence' => true));
	$treeMenu->printMenu();
	closeside();
}
?>